octofussd - Segnalazione #290

Eccezione durante I'aggiunta di un gruppo ad un utente
06/07/2017 05:23 PM - Andrea Padovan

Status: Risolto Start date: 06/07/2017
Priority: Normale Due date:

Assignee: Paolo Dongilli % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Se cerco di aggiungere un gruppo ad un utente, senza cambiare o scegliereil gruppo rispetto al default, ottengo la seguente
eccezione:

Environment:

Request Method:
Request URL:

POST
http://octofuss.einaudi.bzn/users/user/pippo/add-group

Django Version: 1.8.16

Python Version: 3.4.2

Installed Applications:
['django.contrib.sessions',
'django.contrib.messages’,
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles',
'octonet',
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
'dhcp.apps.Dhcp',
'dansguardian.apps.DansGuardian',
'host .apps.Host',
'polygen.apps.Polygen',
'upgrade.apps.Upgrade',
'asterisk.apps.Asterisk',
'samba.apps.Samba',
'users.apps.Users',
'script.apps.Script’',
'quota.apps.Quota',
'printers.apps.Printers’',
'auth.apps.Auth']

Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',

'django.
'django.
'django.
'django.

contrib.sessions.middleware.SessionMiddleware',
middleware.common.CommonMiddleware',
middleware.csrf.CsrfViewMiddleware',
middleware.locale.LocaleMiddleware',

'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:
File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response

132. response = wrapped_callback (request, *callback_args, **callback_kwargs)
File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in view

71. return self.dispatch(request, *args, **kwargs)
File "/usr/share/octonet/octonet/mixins.py" in dispatch

114. return super () .dispatch(request, *args, **kw)

File "/usr/lib/python3/dist-packages/django/views/generic/base.py" in dispatch
89. return handler (request, *args, **kwargs)
File "/usr/share/octonet/users/views.py" in post

583. self.root_tree.lcreate(["users", "users", self.kwargs["uid"], "groups", self.reques
t.POST["group"]])
File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in lcreate

118. return self._wrap_call(self.server.create, "/".join(path), dumps(value))
File "/usr/lib/python3/dist-packages/octofuss/xmlrpc.py" in _wrap_call
78. raise exception_serializer.from_dict (res["exc"])

Exception Type: Exception at /users/user/pippo/add-group
Exception Value: no changes in modify request

Related issues:
Has duplicate octofussd - Segnalazione #293: crash rimozione gruppo docenti Chiuso 06/08/2017

History

#1 - 06/07/2017 05:23 PM - Andrea Padovan

(assegnato a mark su indicazione di Christopher)

#2 - 06/08/2017 02:40 PM - Christopher R. Gabriel

- Has duplicate Segnalazione #293: crash rimozione gruppo docenti added

#3 - 06/14/2017 03:43 PM - Christopher R. Gabriel

- Project changed from octonet to octofussd

#4 - 06/14/2017 03:53 PM - Mark Caglienzi
- Status changed from Nuovo to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Questo con l'ultima versione di octofussd non lo riproduco, né facendo edit -> save senza cambiare nulla nella select, né aggiungendo un gruppo alla
select.

Non ho I'eccezione.

#5 - 06/14/2017 04:01 PM - Mark Caglienzi

- Assignee changed from Christopher R. Gabriel to Andrea Padovan

Con la versione 8.0.30-1 di octofussd il problema non si presenta piu.

Confermate?

#6 - 12/26/2019 10:09 PM - Paolo Dongilli
- Status changed from Commenti to Risolto

- Assignee changed from Andrea Padovan to Paolo Dongilli
